%define		own	asterisk
%define		grp	asterisk
%define		sown	root
%define		sgrp	root
%define		rawname	webrtc

Name:		freepbx-%{rawname}
Version:	16.0.17
Release:	2%{?dist}
Summary:	WebRTC Phone

License:	See Freepbx Readme
Source0:	https://mirror.freepbx.org/modules/packages/%{rawname}/%{rawname}-%{version}.tgz

Requires:	freepbx-certman >= 16.0.13
Requires:	freepbx-core >= 16.0.56.9
Requires:	freepbx-ucp >= 16.0.12

Provides:	freepbx-%{rawname} = %{version}-%{release}

BuildArch:	noarch

%description
The WebRTC Module allows an Administrator to enable a "WebRTC phone" that can be attached to a user's
extension which they can connect to through FreePBX User Control Panel, this WebRTC phone will then
receive phone calls at the same time as the users extension using user and device mode behind the scenes.
If you have User and Device Mode enabled any extension you enable the WebRTC Phone a duplicate extension of 99XXXX
will be created (where XXXX is the original extension number), when the user then views the web interface of the WebRTC
phone they will be connected to device 99XXXX which will receive calls from the original extension

%prep
%setup -q -n %{rawname}

# Controlliamo la eventuale presenza di particolarita' da gestire
for ddd in agi-bin bin sbin etc astetc images assets sounds moh hooks ; do
	[ -e $ddd ] && echo presente $ddd, va gestito && exit 1
done

# Non mi va di lanciare gpg a destra e a manca, solo per venire a sapere che ho modificato i moduli
%{__rm} module.sig

# Delete backup files
find . -name '*.orig' -exec rm '{}' ';'
find . -name '.git*' -exec rm -rf '{}' ';'

# fix dir perms
find . -type d -exec chmod 755 '{}' ';'
find . -type f -exec chmod 644 '{}' ';'
#find . -type f -regex '.*\.\(php\|html\)$' -exec chmod 644 '{}' ';'

%install
%{__install} -d %{buildroot}%{_datadir}/freepbx/admin/modules/%{rawname}
%{__cp} -aR `ls | egrep -v '^(agi-bin|bin|etc|sounds|moh|images|LICENSE|README.md)'` %{buildroot}%{_datadir}/freepbx/admin/modules/%{rawname}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%doc README.md
%defattr(0644,%{sown},%{sgrp},0755)

%{_datadir}/freepbx/admin/modules/%{rawname}

%changelog
* Sun Apr 16 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.38
- do not create assets/ucp/less/cache since it is likely unneeded

* Thu Dec 08 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.17
- Updated version

* Tue Nov 22 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.14
- Updated version

* Wed Sep 28 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.12
- Updated version

* Mon Apr 25 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.11
- Updated version

* Thu Jan 20 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.10
- Initial build
